ypeError: Cannot read property 'constructor' of undefined

I upgraded to Meteor 1.8.1 and now meteor won’t start. Per suggestion on older threads, I have tried to remove meteorhacks:unblock and added lamhieu:unblock but still see meteorhacks part of my package lists and Meteor wont start. I have listed my packages bellow also:

meteor update
This project is already at Meteor 1.8.1, the latest release.
Your top-level dependencies are at their latest compatible versions.

The following top-level dependencies were not updated to the very latest version available:

  • rocketchat:streamer 0.6.2 (1.0.2 is available)
    Newer versions of the following indirect dependencies are available:
  • aldeed:tabular 1.6.1 (2.1.1 is available)
  • coffeescript 1.0.17 (2.3.2_1 is available)
  • fourseven:scss 4.10.0 (4.12.0 is available)
  • raix:eventemitter 0.1.3 (1.0.0 is available)
  • reywood:publish-composite 1.5.2 (1.7.0 is available)
  • softwarerero:accounts-t9n 1.3.11 (2.5.1 is available)
    These versions may not be compatible with your project.
    To update one or more of these packages to their latest
    compatible versions, pass their names to meteor update,
    or just run meteor update --all-packages.

meteor list --tree | grep meteorhacks
│ ├─┬ meteorhacks:inject-initial@1.0.4
├── meteorhacks:inject-initial@1.0.4 (expanded above)
├─┬ meteorhacks:unblock@1.1.0
│ └─┬ meteorhacks:meteorx@1.4.1
├── meteorhacks:inject-initial@1.0.4 (expanded above)

meteor run
[[[[[ ~/Development/payagol ]]]]]

=> Started proxy.
=> Started MongoDB.
W20190529-14:25:59.624(-7)? (STDERR) /Users/tom/.meteor/packages/meteor-tool/.1.8.1.7c0itz.u7ktr++os.osx.x86_64+web.browser+web.browser.legacy+web.cordova/mt-os.osx.x86_64/dev_bundle/server-lib/node_modules/fibers/future.js:280
W20190529-14:25:59.670(-7)? (STDERR) throw(ex);
W20190529-14:25:59.670(-7)? (STDERR) ^
W20190529-14:25:59.670(-7)? (STDERR)
W20190529-14:25:59.671(-7)? (STDERR) TypeError: Cannot read property ‘constructor’ of undefined
W20190529-14:25:59.671(-7)? (STDERR) at exposeSubscription (packages/meteorhacks_meteorx.js:61:41)
W20190529-14:25:59.671(-7)? (STDERR) at exposeLivedata (packages/meteorhacks_meteorx.js:31:5)
W20190529-14:25:59.671(-7)? (STDERR) at packages/meteorhacks_meteorx.js:175:1
W20190529-14:25:59.671(-7)? (STDERR) at packages/meteorhacks_meteorx.js:200:4
W20190529-14:25:59.671(-7)? (STDERR) at packages/meteorhacks_meteorx.js:208:3
W20190529-14:25:59.672(-7)? (STDERR) at /Users/tom/Development/payagol/.meteor/local/build/programs/server/boot.js:419:36
W20190529-14:25:59.672(-7)? (STDERR) at Array.forEach ()
W20190529-14:25:59.672(-7)? (STDERR) at /Users/tom/Development/payagol/.meteor/local/build/programs/server/boot.js:228:19
W20190529-14:25:59.672(-7)? (STDERR) at /Users/tom/Development/payagol/.meteor/local/build/programs/server/boot.js:479:5
W20190529-14:25:59.672(-7)? (STDERR) at Function.run (/Users/tom/Development/payagol/.meteor/local/build/programs/server/profile.js:510:12)
W20190529-14:25:59.672(-7)? (STDERR) at /Users/tom/Development/payagol/.meteor/local/build/programs/server/boot.js:478:11
=> Exited with code: 1


I have many packages installed which the list long and cant paste here .
meteor list --tree
accounts-base@1.4.4
├─┬ callback-hook@1.1.0
│ └── ecmascript@0.12.7 (top level)
├── check@1.3.1 (top level)
├── ddp@1.4.0 (top level)
├─┬ ddp-rate-limiter@1.0.7
│ └─┬ rate-limit@1.0.9
│ ├── ecmascript@0.12.7 (top level)
│ └── random@1.1.0 (top level)
├── ecmascript@0.12.7 (top level)
├── ejson@1.1.0 (top level)
├─┬ localstorage@1.2.0
│ └── random@1.1.0 (top level)
├── mongo@1.6.2 (top level)
├── random@1.1.0 (top level)
├── reactive-var@1.0.11 (top level)
├─┬ service-configuration@1.0.11
│ ├── accounts-base@1.4.4 (top level)
│ └── mongo@1.6.2 (top level)
└── tracker@1.2.0 (top level)
accounts-password@1.5.1
├── accounts-base@1.4.4 (top level)
├── check@1.3.1 (top level)
├── ddp@1.4.0 (top level)
├── ecmascript@0.12.7 (top level)
├── ejson@1.1.0 (top level)
├── email@1.2.3
├─┬ npm-bcrypt@0.9.3
│ └─┬ modules@0.13.0
│ └── modules-runtime@0.10.3
├── random@1.1.0 (top level)
├── sha@1.0.9
├─┬ srp@1.0.12
│ ├── check@1.3.1 (top level)
│ ├── ecmascript@0.12.7 (top level)
│ ├── random@1.1.0 (top level)
│ └── sha@1.0.9
└── underscore@1.0.10
alanning:roles@1.2.16
├── accounts-base@1.4.4 (top level)
├── check@1.3.1 (top level)
├── mongo@1.6.2 (top level)
├── tracker@1.2.0 (top level)
└── underscore@1.0.10